View Geo and CIDR map

Prev Next

Available in Classic and VPC

View the list of Geo/CIDR maps based on the specified conditions.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /gtm/v1/maps

Request headers

For information about the headers common to all Geo/CIDR map APIs, see Geo/CIDR map API request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
page Integer Optional Page number
  • 0 (default)
size Integer Optional Page size
  • 20 (default)

Request example

The following is a sample request.

curl --location --request GET 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/maps?page=0&size=10' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See MapListResponse for the response body.

Response status codes

For information about the HTTP status codes common to all Geo/CIDR map APIs, see Geo/CIDR map API response status codes.

Response example

The following is a sample response.

{
    "content": [
        {
            "id": *,
            "name": "DEFAULT_MAP",
            "mapType": "GEO",
            "policyNames": null
        },
        {
            "id": ***,
            "name": "map000",
            "mapType": "GEO",
            "policyNames": null
        }
    ],
    "pageable": {
        "sort": {
            "sorted": false,
            "unsorted": true,
            "empty": true
        },
        "pageNumber": 0,
        "pageSize": 10,
        "offset": 0,
        "paged": true,
        "unpaged": false
    },
    "last": true,
    "totalPages": 1,
    "totalElements": 2,
    "first": true,
    "sort": {
        "sorted": false,
        "unsorted": true,
        "empty": true
    },
    "number": 0,
    "numberOfElements": 2,
    "size": 10,
    "empty": false
}